/*
   This subprogram calls the graphics library to write a message into the message-area on the screen. The message Area has the coordinates: 140X - 470X / 0Y - 40Y.
   The Message Types are:
   - Normal System-Messages (mtype = 0x40)
   - Warning-Messages (mtype = 0x60)
   - Error-Messages (mtype = 0x80)
*/

void Message(String message, int mtype) { // Variable mtype tells the message-subroutine what kind of message is to be displayed. This sets the color of the text.
  switch (mtype) {
    case 0x40:
      tft.setCursor(140, 0);
      tft.setTextColor(WHITE);
      tft.setTextSize(1);
      tft.setTextWrap(false);
      tft.println(message);
    case 0x60:
      tft.setCursor(140, 0);
      tft.setTextColor(YELLOW);
      tft.setTextSize(1);
      tft.setTextWrap(false);
      tft.println(message);
    case 0x80:
      tft.setCursor(140, 0);
      tft.setTextColor(RED);
      tft.setTextSize(1);
      tft.setTextWrap(false);
      tft.println(message);
      break;
  }

}
